---
updatedAt: 2026-07-27T10:40:33.000Z
agentTools:
  projectIndex: https://developers.dailymotion.com/v0/llms.txt
---

# Collect video IDs

<Callout icon="🚀" theme="default">
  ### API v2 now available

  Visit the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/reference/introduction">API v2 documentation</Anchor> or follow the <Anchor target="_blank" href="https://developers.dailymotion.com/v2/docs/migrating-from-legacy-api-to-api-v2">migration guide</Anchor> to upgrade.
</Callout>

<br />

<br />

***

You can use the <Anchor target="_blank" href="https://developers.dailymotion.com/v0/reference/video-fields">Platform API</Anchor> to easily collect video IDs in order to embed your content on your properties.

In this article, you'll learn the **different privacy settings** available in our Platform API, and how to **easily collect the right content ID for the embed**.

<br />

# Understand content privacy

Depending on the privacy set on the content, the embed code will require a specific content id:

* **Public or password protected content** - You must use the [`id`](https://developers.dailymotion.com/reference/video-fields#/id) field to embed your content.
* **Private content** - You must use the [`private_id`](https://developers.dailymotion.com/reference/video-fields#/private_id) field to embed your content.

If you want to get more information about the content privacy options, please read our <Anchor target="_blank" href="https://faq.dailymotion.com/hc/articles/115009030028">video privacy guide</Anchor>.

<Callout icon="⚠️" theme="warn">
  ### Collect `private_id`:

  When a content privacy is set on [`private=true`](https://developers.dailymotion.com/reference/video-fields#/private), the `private_id` is not accessible publicly and requires API authentication. Only Organization members with proper access will be able to retrieve it.
</Callout>

***

# Collect video ID

We suggest you to always request the following fields when collecting video IDs to make sure you always have all the necessary information, no matter the embed method used (direct integration, CMS...):

* [`title`](https://developers.dailymotion.com/reference/video-fields#/title) - Allows you to easily identify the content you would like to migrate.
* [`id`](https://developers.dailymotion.com/reference/video-fields#/id) - The unique video identifier.
* [`private_id`](https://developers.dailymotion.com/reference/video-fields#/private_id) - The ID allowing a user to access to a **private** content (set to `null` if the content is public).

**Request exemples:**

```text Public API key
### List all video IDs of a specific user 

https://api.dailymotion.com/user/USERNAME/videos?fields=title,id,private_id
```
```Text Private API key
### List all video IDs of a specific user 

https://partner.api.dailymotion.com/user/USERNAME/videos?fields=title,id,private_id
```

```Text Public API Key
### List all video IDs of a specific playlist

https://api.dailymotion.com/playlist/x7q1er/videos?fields=title,id,private_id
```
```Text Private API key
### List all video IDs of a specific playlist

https://partner.api.dailymotion.com/playlist/x7q1er/videos?fields=title,id,private_id
```

```Text Public API key
### List all video IDs of a specific video

https://api.dailymotion.com/video/x84sh87?fields=title,id,private_id
```
```Text Private API key
### List all video IDs of a specific video

https://partner.api.dailymotion.com/video/x84sh87?fields=title,id,private_id
```

**Response example:**

```json
{
"title": "CEO interview",
"id": "x123456",
"private_id": "k12345654321",
"private": true,
},

{
"title": "Christmas hackathon",
"id": "x1y2z3b",
"private_id": null,
"private": false,
},
```

# Embed your content

You should now have all the necessary elements to proceed with the integration.

We invite you to continue with our dedicated embed method guides to learn how to pick the best integration method and start your step-by-step integration:

* <Anchor target="_blank" href="https://developers.dailymotion.com/v0/docs/getting-started-with-the-web-sdk">Embed guide for Web SDK</Anchor>
* <Anchor target="_blank" href="https://developers.dailymotion.com/v0/docs/getting-started-with-the-android-sdk">Embed guide for Android SDK</Anchor>
* <Anchor target="_blank" href="https://developers.dailymotion.com/v0/docs/getting-started-with-the-ios-sdk">Embed guide for iOS SDK</Anchor>

<br />